#!/bin/bash

# uninstall logic for UnlimitedDataBackup.com 5.5.7.0
# The root privilege is required to uninstall the application

###############################################################################
#             S H U T - D O W N                 S E R V I C E S               #
###############################################################################

# Shutdown Scheduler
if [ -e "/Applications/UnlimitedDataBackup.com/ipc/Scheduler/running" ]; then
    echo "Shutdown Scheduler for UnlimitedDataBackup.com"
    touch "/Applications/UnlimitedDataBackup.com/ipc/Scheduler/stop"
    echo "Wait 5 seconds before Scheduler exits"
    sleep 5
fi

# Shutdown AutoUpdateAgent
if [ -e "/Applications/UnlimitedDataBackup.com/aua/bin" ]; then
    echo "Shutdown AutoUpdateAgent for UnlimitedDataBackup.com"
    sh "/Applications/UnlimitedDataBackup.com/aua/bin/shutdown.sh"
    echo "Wait 5 seconds before AutoUpdateAgent exits"
    sleep 5
fi

###############################################################################
#        T A S K K I L L       A L L      J A V A       P R O C E S S         #
###############################################################################

# Kill all running process
sh "/Applications/UnlimitedDataBackup.com/bin/taskkill" "/Applications/UnlimitedDataBackup.com/BackupManager.app"
sh "/Applications/UnlimitedDataBackup.com/bin/taskkill" "/Applications/UnlimitedDataBackup.com/bin/BackupManager.app"
sh "/Applications/UnlimitedDataBackup.com/bin/taskkill" "/Applications/UnlimitedDataBackup.com/jvm/bin/java"
sh "/Applications/UnlimitedDataBackup.com/bin/taskkill" "/Applications/UnlimitedDataBackup.com/aua/jvm/bin/java"

###############################################################################
#                 R E M O V E                   S E R V I C E S               #
###############################################################################

# Remove Scheduler
if [ -e "/Library/StartupItems/UnlimitedDataBackup.com" ]; then
    echo "Remove Scheduler for UnlimitedDataBackup.com from service"
    rm -rf "/Library/StartupItems/UnlimitedDataBackup.com"
fi

# Remove AutoUpdateAgent
if [ -e "/Library/StartupItems/UnlimitedDataBackup.com-AutoUpdate" ]; then
    echo "Remove AutoUpdateAgent for UnlimitedDataBackup.com from service"
    rm -rf "/Library/StartupItems/UnlimitedDataBackup.com-AutoUpdate"
fi

###############################################################################
#      R E M O V E        U S E R         D E S K T O P      L I N K          #
###############################################################################

# Remove Desktop Symbolic Link
find /Users -name Desktop -type d -maxdepth 3 -mindepth 2 | while read DESKTOP_PATH;
do
    if [ -e "${DESKTOP_PATH}/UnlimitedDataBackup.com" ]; then
        echo "Remove Desktop Link UnlimitedDataBackup.com from path ${DESKTOP_PATH}"
        rm -f "${DESKTOP_PATH}/UnlimitedDataBackup.com"
        echo "Removed UnlimitedDataBackup.com Desktop Link"
    fi
done

###############################################################################
#        R E M O V E           A P P L I C A T I O N           H O M E        #
###############################################################################

# Remove UnlimitedDataBackup.com
cd /
if [ -e "/Applications/UnlimitedDataBackup.com" ]; then
    echo "Remove UnlimitedDataBackup.com from Your Mac OS X"
    rm -rf "/Applications/UnlimitedDataBackup.com"
fi

###############################################################################
#        R E M O V E             M A C     O S        R E C E I P T S         #
###############################################################################

# Remove Mac OS X Receipts
if [ -e "/Library/Receipts/acb.pkg" ]; then
    echo "Remove Mac OS X Receipt for acb.pkg (Path: /Library/Receipts/acb.pkg)"
    rm -rf "/Library/Receipts/acb.pkg"
fi
